Bug 1201806 - Building Thunar for PCRE2 usage
Building Thunar for PCRE2 usage
Status: RESOLVED UPSTREAM
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Xfce
Current
All All
: P5 - None : Enhancement (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-24 08:46 UTC by Markus Elfring
Modified: 2022-07-26 00:58 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Elfring 2022-07-24 08:46:58 UTC
The dependencies for the software package “thunar 4.16.11-177.9” contain the information “Requires: libpcre.so.1()(64bit)”.
How are the chances to support the API “PCRE2” (with library versions ≧ 10.40)?
https://github.com/PCRE2Project/pcre2

https://build.opensuse.org/package/view_file/openSUSE:Factory/thunar/thunar.spec?expand=1
Comment 2 Markus Elfring 2022-07-24 19:35:49 UTC
(In reply to Andreas Stieger from comment #1)
How do you think about to influence the affected components any further so that a current PCRE library version will become usable also for this software?
Comment 3 Andreas Stieger 2022-07-25 06:32:22 UTC
What do you think about it?
Comment 4 Maurizio Galli 2022-07-25 10:03:00 UTC
I would suggest opening an issue upstream instead: https://gitlab.xfce.org/xfce/thunar/-/issues
Comment 5 Markus Elfring 2022-07-25 11:27:32 UTC
(In reply to Maurizio Galli from comment #4)
Would you like to influence software evolution any further in constructive ways?

Update Thunar software components for PCRE2 usage
https://gitlab.xfce.org/xfce/thunar/-/issues/848
Comment 6 Maurizio Galli 2022-07-26 00:58:15 UTC
(In reply to Markus Elfring from comment #5)
> (In reply to Maurizio Galli from comment #4)
> Would you like to influence software evolution any further in constructive
> ways?

I'm sorry but I do not really understand the meaning of this question.

> Update Thunar software components for PCRE2 usage
> https://gitlab.xfce.org/xfce/thunar/-/issues/848

Looks like upstream responded to your report and are now looking into implementing it :)